clear all
close all
clc
global x; global y; global Cu;

Option=2;                       % Input for option
                                %       1 for circle
                                %       2 for Karman-Trefftz airfoil
Voo = 1;                        % Input for free stream velocity
N = 20;                         % Input for number of points;

if Option==1                    % Option for circle

    R = 1;                      % Circle radius   

    [x,y,V,Cu] = DAIRE(N,Voo,R);

elseif Option==2                % Option for Karman-Trefftz airfoil

    Chord = 1;                  % Input for chord length
    F = 0.06132;                % Input for thickness parameter
    G = 0.06544;                % Input for camber parameter
    m = 1.93045;                % Input for mapping parameter
    AlfaD = 5;                  % Input for angle of attack

    [x,y,V,Cu] = KATJO(N,Voo,Chord,F,G,m,AlfaD);

end

figure;
plot(x, y);
figure
plot(x, Cu);

